## view.xhtml
Class TableCell

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.TableCell

Direct Known Subclasses:
  Td, Th

    public abstract class TableCell

extends ContainerElement

Constructor Summary
`TableCell(java.lang.String tag_name)` Constructs the element.

Method Summary
`TableCell` `setColSpan(int span)` Sets a value for the colspan attribute.
`TableCell` `setRowSpan(int span)` Sets a value for the rowspan attribute.

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableCell

    public TableCell(java.lang.String tag_name)

  Constructs the element.

  Parameters:
    `tag_name` - the name of the element's tag.

Method Detail

### setRowSpan

    public TableCell setRowSpan(int span)

  Sets a value for the rowspan attribute.

### setColSpan

    public TableCell setColSpan(int span)

  Sets a value for the colspan attribute.